Skip to main content
POST
CREATE Building Space

Authorizations

X-API-Key
string
header
required

Prophia API key — either an account key (grants admin level permissions) or a user key with the REST scope. Send it in the X-API-Key header, or equivalently as Authorization: Bearer <api-key>. JWTs are rejected on /rest endpoints with 401.

Path Parameters

accountId
string
required
buildingId
string
required

Body

application/json

Fields for creating a Building Space. suiteNumber is the name Tag applicableSpaces entries match against, so choose it to match how the space is named in the lease documents.

floor
string
required

Floor the space sits on. Building Spaces that have exact string matches for their floors will be grouped together on the Stacking Plan and will affect how FLOOR level Tag encumberedSpaces apply.

Minimum string length: 1
suiteNumber
string
required

Canonical space name. Tag applicableSpaces entries match this by string, so renaming it breaks those associations. To reflect Building layout changes without affecting historical Tag associations, archive the space and make a new space to represent the current layout.

Minimum string length: 1
type
enum<string>
required

What kind of unit this is. There are in-app configurations that may be set per space type that can affect how a space applies its square footage to particular metrics or occasionally its presence in certain reports. Be default all types are included in which case the value here is purely for reference.

Available options:
Office,
Retail,
Industrial,
Storage,
Telecom,
Parking,
Conference Room,
Lobby,
Elevator,
Fitness Center,
License Agreement,
Management Office,
Amenity,
Cafe,
Bike Storage,
Lounge,
Other,
zSuite
squareFootage
integer<int32>

Base square footage of the space. When viewing the space in various locations, if a lease is active for the space the square footage Tag in the Lease is preferred, using this square footage value as a fallback.

rentable
boolean

Defaulted to true. Represents whether the space counts as rentable inventory. A non-rentable space can still have a lease applied to it, but the non-rentable nature may prevent the space and/or lease from displaying properly in certain reports. A false value is typically used for spaces such as lobbies or elevators that are not expected to be leased, but may still be of interest on a stacking plan without applying its square footage to occupancy metrics.

occupied
boolean

Defaulted to false. Purely an override value. Setting false does not mean the space is vacant — it only clears the override; derive real occupancy from leases. Typically used to denote spaces that aren't traditionally leased as occupied, such as conference rooms or fitness centers, etc. Even if this value is false, an active lease applied to the space will cause the space to appear as occupied on reports like the stacking plan.

archived
boolean

Archive the space. Archived spaces still appear in responses unless filtered with archived=false. An archived space is Prophia's mechanism to retain space references for historical leases that are still in the system and require the tether, but are no longer active.

Response

OK

Representation of a space or unit in a Building. Some example uses: a rentable suite, a conference room, storage space, or a full floor.

id
string
read-only

Prophia internal Building Space ID (UUID).

buildingId
string
read-only

The buildingId (UUID) of the Building this space belongs to.

floor
string

Floor the space sits on. This value primarily affects the grouping of Building Spaces in the Stacking Plan, but also governs which spaces have floor level encumbrances applied to them. For example if a ROFO Tag's offeredSpace component references 'FLOOR1' as its encumbranceSpaces value, all spaces having space.floor=1 will show as encumbered in the Stacking Plan.

suiteNumber
string

Canonical name of the space. This is the value that Tag applicableSpaces entries match against, by string — renaming it breaks those associations.

squareFootage
integer<int32>

Rentable square footage of the space.

type
enum<string>

What kind of unit this is. This is a referential value and does not affect how a space operates in the system.

Available options:
Office,
Retail,
Industrial,
Storage,
Telecom,
Parking,
Conference Room,
Lobby,
Elevator,
Fitness Center,
License Agreement,
Management Office,
Amenity,
Cafe,
Bike Storage,
Lounge,
Other,
zSuite
rentable
boolean

Whether the space counts as rentable inventory. If marked as non-rentable, the space and leases associated with it, if you've chosen to continue associating leases with the space, may cease being present in reports like the Rent Roll. Marking a space as non-rentable is normally used in cases like Lobbies, Elevators, and like shared public spaces of the Building that are not eligible to be leased.

archived
boolean

Archived spaces still appear in listings unless filtered with archived=false. It's best to archive a Building Space when it is referenced by historical leases but is no longer representative of a discrete space in the Building.

createdAt
string<date-time>
read-only

When the space was created.

updatedAt
string<date-time>
read-only

When the space was last modified.

occupied
boolean

An override value: Allows the space to be marked as occupied, even when lacking an active lease associated with the space. A value of false does not mean that there are no associated active leases, only that the override is not currently marking the space as occupied. Best used for spaces that are not traditionally leased but you still want to show as occupied in the Stacking Plan and count towards occupied square footage statistics.